CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::FITSUtil::CVarray< T > Class Template Reference

Function object class for returning C arrays from standard library objects used in the FITS library implementation. More...

`#include <FITSUtil.h>`

List of all members.

## Public Member Functions

T * | operator() (const std::vector< T > &inArray)
| operator returning C array for use with scalar column data.

## Detailed Description

### template<typename T>
class CCfits::FITSUtil::CVarray< T >

Function object class for returning C arrays from standard library objects used in the FITS library implementation.

There are 3 versions which convert std::vector<T>, std::valarray<T>, and std::vector<std::valarray<T> > objects to pointers to T, called CVarray, CAarray, and CVAarray.

An alternative function, CharArray, is provided to deal with the special case of vector string arrays.

The documentation for this class was generated from the following file:

- FITSUtil.h